UnixServerSocketChannel (jnr-unixsocket 0.2 API)
Date: 2014-06-30

jnr.unixsocket

## Class UnixServerSocketChannel

- java.lang.Object
- - java.nio.channels.spi.AbstractInterruptibleChannel
  - - java.nio.channels.SelectableChannel
    - - java.nio.channels.spi.AbstractSelectableChannel
      - - jnr.enxio.channels.NativeServerSocketChannel
        - - jnr.unixsocket.UnixServerSocketChannel

- All Implemented Interfaces:
    Closeable, AutoCloseable, Channel, InterruptibleChannel, jnr.enxio.channels.NativeSelectableChannel

      public class UnixServerSocketChannel
      extends jnr.enxio.channels.NativeServerSocketChannel

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnixSocketChannel` | `accept()`
    `static UnixServerSocketChannel` | `open()`
    `UnixServerSocket` | `socket()`

    - ### Methods inherited from class jnr.enxio.channels.NativeServerSocketChannel

      `getFD, implCloseSelectableChannel, implConfigureBlocking, validOps`

    - ### Methods inherited from class java.nio.channels.spi.AbstractSelectableChannel

      `blockingLock, configureBlocking, implCloseChannel, isBlocking, isRegistered, keyFor, provider, register`

    - ### Methods inherited from class java.nio.channels.SelectableChannel

      `register`

    - ### Methods inherited from class java.nio.channels.spi.AbstractInterruptibleChannel

      `begin, close, end, isOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.nio.channels.Channel

      `close, isOpen`

- - ### Method Detail

    - #### open

          public static UnixServerSocketChannel open()
                                              throws IOException

      Throws:
        `IOException`

    - #### accept

          public UnixSocketChannel accept()
                                   throws IOException

      Throws:
        `IOException`

    - #### socket

          public final UnixServerSocket socket()

Copyright © 2014. All rights reserved.